\name{optimalAllocation-package}
\alias{optimalAllocation-package}
\alias{optimalAllocation}
\docType{package}
\title{Optimal combination of number of participants and number of repeated measurements in longitudinal studies with time-varying exposure.}
\description{This function computes the optimal combination of number of participants and number of repeated measurements in longitudinal studies with fixed follow-up duration such that it maximizes the power to detect the effect under the alternative hypothesis without exceeding a fixed budget or it minimizes the cost of the study while achieving a certain target power. The response variable is assumed to be continuous and the exposure of interest is assumed to be binary and possibly time-varying.}
\details{
\tabular{ll}{
Package: \tab optimalAllocation\cr
Type: \tab Package\cr
Version: \tab 1.0\cr
Date: \tab 2013-06-11\cr
License: \tab GPL (>=2)\cr
}
}
\author{
Jose Barrera-Gomez and Xavier Basagana.

Maintainer: Jose Barrera-Gomez <jbarrera@creal.cat>
}
\references{
Barrera-Gomez J, Spiegelman D, Basagana X. Optimal combination of number of  participants and number of repeated measurements in longitudinal studies with time-varying exposure. Statistics in Medicine [Epub ahead of print].
}