\name{plotExposedPeriods}
\alias{plotExposedPeriods}
\title{Distribution of the number of exposed periods per participant.}
\description{
This function plots the distribution of the number of exposed periods per participant, once the values of the exposure intraclass correlation, the exposure prevalence and the number of repeated measurements have been fixed and the exposure covariance structure is assumed to follow CS. This function is a tool to decide the exposure intraclass correlation value.}
\usage{
plotExposedPeriods(r, pe, rhoe, eps = 0.001, maxIter = 1000)
}
\arguments{
  \item{r}{number of repeated measurements, i.e., the total number of measurements is \code{r} + 1.}
  \item{pe}{exposure prevalence, assumed the same at all time point measurements.}
  \item{rhoe}{exposure intraclass correlation.}
  \item{eps}{precision in the results (relative error). Default is 0.001.}
  \item{maxIter}{maximum number of iterations for the computation of the distribution. Default is 1000.}
}
\references{
Gange SJ, Generating Multivariate categorical variates using the iterative proportional fitting algorithm. The American Statistician 1995; 49(2): 134-138.

Barrera-Gomez J, Spiegelman D, Basagana X. Optimal combination of number of  participants and number of repeated measurements in longitudinal studies with time-varying exposure. Statistics in Medicine [Epub ahead of print]. 
}

\seealso{
\code{\link{plotExposedPeriodsInt}}
}
\examples{
plotExposedPeriods(r = 3, pe = 0.25, rhoe = 0.5)
}

