\name{plotExposedPeriodsInt}
\alias{plotExposedPeriodsInt}
\title{Distribution of the number of exposed periods per participant (interactive).}
\description{This function performs an interactive plot to explore the distribution of the number of exposed periods per participant as a function of the exposure intraclass correlation, once the values of the exposure prevalence and the number of repeated measurements have been fixed and the exposure covariance structure is assumed to follow CS. This function is a tool to decide the exposure intraclass correlation value.}
\usage{
plotExposedPeriodsInt(r, pe)
}
\arguments{
  \item{r}{number of repeated measurements, i.e., the total number of measurements is \code{r} + 1.}
  \item{pe}{exposure prevalence, assumed the same at all time point measurements.}
}
\references{
Gange SJ, Generating Multivariate categorical variates using the iterative proportional fitting algorithm. The American Statistician 1995; 49(2): 134-138.

Barrera-Gomez J, Spiegelman D, Basagana X. Optimal combination of number of  participants and number of repeated measurements in longitudinal studies with time-varying exposure. Statistics in Medicine [Epub ahead of print]. 
}

\seealso{
\code{\link{plotExposedPeriods}}
}
\examples{
require(tcltk)
plotExposedPeriodsInt(r = 3, pe = 0.25)
}

